package com.usoft.fin.grpc.dal.mapper;

import com.usoft.fin.grpc.dal.entity.FileType;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface FileTypeMapper {
    /**
     * deleteByPrimaryKey
     * 
     * @param id
     * @return int
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * insert
     * 
     * @param record
     * @return int
     */
    int insert(FileType record);

    /**
     * insertSelective
     * 
     * @param record
     * @return int
     */
    int insertSelective(FileType record);

    /**
     * selectByPrimaryKey
     * 
     * @param id
     * @return FileType
     */
    FileType selectByPrimaryKey(Integer id);

    /**
     * updateByPrimaryKeySelective
     * 
     * @param record
     * @return int
     */
    int updateByPrimaryKeySelective(FileType record);

    /**
     * updateByPrimaryKey
     * 
     * @param record
     * @return int
     */
    int updateByPrimaryKey(FileType record);

    /**
     * 根据产品编号和文件类型编号查询文件类型信息
     *
     * @param productCode 产品编号
     * @param typeCode 文件类型编号
     * @return List<FileType>
     */
    List<FileType> findByProductCodeAndTypeCode(@Param("productCode") String productCode, @Param("typeCode")int typeCode);

}